curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/company_shares \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ticket_match_id": "<string>",
"sender_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"dispatchable": true,
"schedule_on": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_company_share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_shareable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_shareable_type": "User",
"receiver_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"company_shareable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "User"
}
}
]
}Retrieve CompanyShares for a Company.
Note that the sender_company_id and receiver_company_id filters are mutually exclusive with between_company_id.
curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/company_shares \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ticket_match_id": "<string>",
"sender_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"dispatchable": true,
"schedule_on": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"parent_company_share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_shareable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"company_shareable_type": "User",
"receiver_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"company_shareable": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "User"
}
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Company ID
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Sender Company ID
Receiver Company ID
Between Company ID
Company Shareable Type
User, Equipment, Site Company Shareable ID
OK
Show child attributes